<md-sidenav		
	class="md-sidenav-left"
	md-component-id="left-lesson-explorer"
	md-is-locked-open="true"
	md-whiteframe="4">
	<div
		layout="column"
		flex>
		<md-toolbar
			layout="column"
			layout-align="start center">
			<a
				ng-href="elearn/lesson/{{part.lesson}}"
				style="font-size: 10px; text-align: left; width: 100%">
				<wb-icon ng-if="app.setting.dir!=='rtl'">arrow_back</wb-icon>
				<wb-icon ng-if="app.setting.dir==='rtl'">arrow_forward</wb-icon>
				{{lesson.title}}
			</a>
			<am-wb-inline
				style="text-align: center;"
				am-wb-inline-type="text"
				am-wb-inline-label="Title"
				am-wb-inline-on-save="update()"
				am-wb-inline-enable="app.user.owner"
				ng-model="part.title">
				<em
					style="font-size: 18px; text-align: center;">
					{{part.title}}
				</em>
			</am-wb-inline>
			<am-wb-inline
				style="text-align: center;"
				am-wb-inline-type="textarea"
				am-wb-inline-label="Description"
				am-wb-inline-on-save="update()"
				am-wb-inline-enable="app.user.owner"
				ng-model="part.description">
				<small
					style="font-size: 14px; text-align: center;">
					{{ part.description || 'no description'}}
				</small>
			</am-wb-inline>
		</md-toolbar>
		<!-- No edit -->
		<md-content
			ng-show="!ngEditable"
			amh-preloading="ctrl.loadingParts"
			amh-preloading-class="amh-skeleton-ul"
			flex>
			<md-list
				style="font-size: 14px;">
				<!-- TODO: maso, 2018: order by 'order' and add management -->
				<md-list-item 
					ng-repeat="object in ctrl.items | orderBy:'id'" 
					ng-href="/elearn/part/{{object.id}}" 
					class="noright">
					<wb-icon>book</wb-icon>
					<p>{{ object.title }}</p>
				</md-list-item>
			</md-list>
		</md-content>
		
		<!-- Edit -->
	    <wb-setting-panel-group
	    		id="part-setting"
	            ng-if="ngEditable"
	            style="overflow: auto;"
	            flex>
	    </wb-setting-panel-group>
	</div>
</md-sidenav>

<md-content
	layout="column"
	flex>
    <wb-content
    		wb-setting-anchor="part-setting"
            wb-editable="ngEditable"
            wb-model="model"
            flex
            style="overflow: auto;">
    </wb-content>
</md-content>

